## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# VCPPDefinitions.hpp File Reference

Go to the source code of this file.

## Defines

- #define VCPPDEFINITIONS_HEADER_GUARD_1357924680
- #define XALAN_PLATFORM_EXPORT __declspec(dllexport)
- #define XALAN_PLATFORM_IMPORT __declspec(dllimport)
- #define XALAN_PLATFORM_EXPORT_FUNCTION(T) XALAN_PLATFORM_EXPORT T
- #define XALAN_PLATFORM_IMPORT_FUNCTION(T) XALAN_PLATFORM_IMPORT T
- #define XALAN_REQUIRES_QUALIFIED_DESTRUCTOR
- #define XALAN_NO_COVARIANT_RETURN_TYPE
- #define XALAN_LSTRSUPPORT
- #define XALAN_NEWLINE_IS_CRLF
- #define XALAN_HAS_CPP_NAMESPACE
- #define XALAN_HAS_STD_DISTANCE
- #define XALAN_NO_REENTRANT_TIME_FUNCTIONS

## Define Documentation

#define VCPPDEFINITIONS_HEADER_GUARD_1357924680

Value:

#define XALAN_HAS_CPP_NAMESPACE

Value:

#define XALAN_HAS_STD_DISTANCE

Value:

#define XALAN_LSTRSUPPORT

Value:

#define XALAN_NEWLINE_IS_CRLF

Value:

#define XALAN_NO_COVARIANT_RETURN_TYPE

Value:

#define XALAN_NO_REENTRANT_TIME_FUNCTIONS

Value:

#define XALAN_PLATFORM_EXPORT __declspec(dllexport)

#define XALAN_PLATFORM_EXPORT_FUNCTION( | T ) XALAN_PLATFORM_EXPORT T

#define XALAN_PLATFORM_IMPORT __declspec(dllimport)

#define XALAN_PLATFORM_IMPORT_FUNCTION( | T ) XALAN_PLATFORM_IMPORT T

#define XALAN_REQUIRES_QUALIFIED_DESTRUCTOR

Value:

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.